<?php
/**
* Ajax demonstration component
*
* PHP version 5.3
*
* @category   Joomla_Component
* @package    Com_Ajaxdemo
* @subpackage View
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2010-2012 Persistent Objects Ltd
* @license    GNU General Public License version 2 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
 
// no direct access
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.application.component.view');
 
/**
* HTML View class for the Ajax demonstration component
*
* @category   Joomla_Component
* @package	  Com_Ajaxdemo
* @subpackage Components
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @license    GNU General Public License version 2 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class AjaxdemoViewAjaxdemo extends JView
{
	/**
	* Display method for Check
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		// Set the toolbar
		JToolBarHelper::title('Ajax demo');

		//JSubMenuHelper::addEntry(
		//	'Ajaxdemo',
		//	'index.php?option=com_ajaxdemo&view=ajaxdemo',
		//	true
		//);

		// Display the template
		parent::display($tpl);

		// Set the document
		$document = JFactory::getDocument();
		$document->setTitle('Ajaxdemo');
	}

}
