<?php
/**
* Ajax demonstration component
*
* PHP version 5.3
*
* @category   Joomla_Component
* @package    Com_Ajaxdemo
* @subpackage View
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2010-2012 Persistent Objects Ltd
* @license    GNU General Public License version 2 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');
$rel_handler="{handler: 'ajax',"
	." size: {x: 800, y: 450},"
	." onClose: function() {},"
	." onAjax: function() {"
		."SqueezeBox.assign($$('a.lightbox2'),"
		." {parse: 'rel'});"
	."},"
	." ajaxOptions: {method: 'post'}}";
?>
<div id='lightbox-content' style="position:relative;">
<div id='lb-maingroup' style='width:350px; position:absolute; left:420px'>
	<h3><i><?php echo $this->item->title ?></i></h3>
	<div><?php echo $this->item->notes;?></div>
</div>

<?php if (count($this->colours) > 1) { ?>
	<div id='lb-more' style='width:350px; position:absolute;bottom:0;left:420px;'>
	<p>&nbsp;</p>
	<p>More of this colour</p>
	<p><?php
    foreach ($this->colours as $item) {
		$link = JRoute::_(
			'index.php?option=com_ajaxdemo&view=colour&id='.$item->id, false
		);
		$image = 'components/com_ajaxdemo/images/' . $item->thumbnail_image;?>
		<a href='<?php echo $link ?>'
		class="lightbox2"
		rel="<?php echo $rel_handler; ?>"
		><img src='<?php echo $image;?>'
		alt='<?php echo $item->title ?>' /></a><?php
    } ?>
	</p>
	</div><?php
}?>

<div id='lb-image'><img src='<?php
	echo 'components/com_ajaxdemo/images/'
	. $this->item->main_image;
?>' alt='<?php
	echo htmlspecialchars($this->title)
?>' /></div>
<div style='width:98%'>
<hr/>
<?php if ( $this->next_colour ) {
	$link = JRoute::_(
		'index.php?option=com_ajaxdemo&view=colour&id='
		. $this->next_colour->colour_id,
		false
	);?>
	<p style='float: right;'>
	<a href='<?php echo $link ?>'
	class="lightbox2"
	rel="<?php echo $rel_handler; ?>">
	Next: <?php echo $this->next_colour->title ?><br/>
	<img
		src='<?php echo 'components/com_ajaxdemo/images/'
		. $this->next_colour->thumbnail_image;?>'
		alt='<?php echo $this->next_colour->title ?>'
	/></a></p><?php
} ?>
<?php if ( $this->prev_colour ) {
	$link = JRoute::_(
		'index.php?option=com_ajaxdemo&view=colour&id='
		. $this->prev_colour->colour_id,
		false
	);?>
	<p style='float: left;'><a href='<?php echo $link ?>'
	class="lightbox2"
	rel="<?php echo $rel_handler; ?>">
	Previous: <?php echo $this->prev_colour->title ?><br/>
	<img
		src='<?php echo 'components/com_ajaxdemo/images/'
			. $this->prev_colour->thumbnail_image;?>'
		alt='<?php echo $this->prev_colour->title ?>' />
	</a></p><?php
} ?>
	</div>
</div>