<?php
/**
* Ajax demonstration component
*
* PHP version 5.3
*
* @category   Joomla_Component
* @package    Com_Ajaxdemo
* @subpackage View
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2010-2012 Persistent Objects Ltd
* @license    GNU General Public License version 2 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.modal', 'a.lightbox');
JHtml::_('behavior.tooltip');

?>
<table>
<?php
$k = 0;
$column = 0;
foreach ($this->items as $item) {
	$link = JRoute::_(
		'index.php?option=com_ajaxdemo&view=colour&id='.$item->colour_id, false
	);
	$handler = "{"
		. "handler: 'ajax', size: {x: 800, y: 450}, "
		. "onClose: function() {}, "
		. "onAjax: function() { "
			. "SqueezeBox.assign($$('a.lightbox2'), {parse: 'rel'});"
			. "}, "
		. "ajaxOptions: {method: 'post'}"
		. "}";
	$tooltip = ' title="'.htmlspecialchars(trim($item->title))
		. '::'
		. htmlspecialchars(trim($item->notes))
		. '"';
	$imagesrc = 'components/com_ajaxdemo/images/' . $item->thumbnail_image;?>
	<tr>
		<td><a id='colours-<?php echo $item->id ?>'
			class="lightbox hasTip"
			href='<?php echo $link ?>'
			<?php echo $tooltip ?>
			rel="<?php echo $handler ?>">
		<img src='<?php echo $imagesrc; ?>' alt='<?php echo $item->title; ?>' />
		</a></td>
	</tr><?php
}
?>
</table>
