<?php
/**
* Ajax demonstration component
*
* PHP version 5.3
*
* @category   Joomla_Component
* @package    Com_Ajaxdemo
* @subpackage View
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2010-2012 Persistent Objects Ltd
* @license    GNU General Public License version 2 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
 
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

/**
* HTML View class for the Ajax demonstration component
*
* @category Joomla_Component
* @package	Com_Ajaxdemo
* @author   Alan Hicks <ahicks@p-o.co.uk>
* @license  GNU General Public License version 2 or later; see LICENSE.txt
*
* @link     http://p-o.co.uk/
*/
class AjaxdemoViewColours extends JView
{
	protected $items;

	/**
	* Display method for Colours
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		$this->items = & $this->get('Items');

		parent::display($tpl);
	}
}
