CREATE TABLE IF NOT EXISTS `#__ajaxdemo_colours` (
`id` int(11) NOT NULL auto_increment,
`ordering` int(11) NOT NULL default 0,
`published` int(1) NOT NULL default 0,
`featured` int(1) NOT NULL default 0,
`title` varchar(100) NOT NULL,
`alias` varchar(100) NOT NULL,
`notes` varchar(500) NOT NULL,
PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__ajaxdemo_colour` (
`id` int(11) NOT NULL auto_increment,
`colour_id` int(11) NOT NULL,
`ordering` int(11) NOT NULL,
`published` int(1) NOT NULL,
`dflt` int(1) NOT NULL,
`title` varchar(100) NOT NULL,
`alias` varchar(100) NOT NULL,
`main_image` varchar(100) NOT NULL,
`thumbnail_image` varchar(100) NOT NULL,
`notes` text NOT NULL,
PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

INSERT INTO `#__ajaxdemo_colours` (id, ordering, published, featured, title, alias, notes)
VALUES (1, 1, 1, 1, 'Red', 'red', 'Red is a colour with a wavelength of about 700–635 nm');
INSERT INTO `#__ajaxdemo_colours` (id, ordering, published, featured, title, alias, notes)
VALUES (2, 2, 1, 1, 'Orange', 'orange', 'Orange is a colour with a wavelength of about 635–590 nm');
INSERT INTO `#__ajaxdemo_colours` (id, ordering, published, featured, title, alias, notes)
VALUES (3, 3, 1, 1, 'Yellow', 'yellow', 'Yellow is a colour with a wavelength of about 590–560 nm');
INSERT INTO `#__ajaxdemo_colours` (id, ordering, published, featured, title, alias, notes)
VALUES (4, 4, 1, 1, 'Green', 'green', 'Green is a colour with a wavelength of about 560–490 nm');
INSERT INTO `#__ajaxdemo_colours` (id, ordering, published, featured, title, alias, notes)
VALUES (5, 5, 1, 1, 'Blue', 'Blue', 'Blue is a colour with a wavelength of about 490–450 nm');

INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (1, 1, 0, 1, 1, 'Red1', 'red1', 'red1.png', 'red1_t.png', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam eleifend egestas nulla at lobortis. Integer placerat, nunc pharetra varius sagittis.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (2, 1, 1, 1, 0, 'Red2', 'red2', 'red2.png', 'red2_t.png', 'Velit eros congue risus, sit amet volutpat ipsum tortor imperdiet justo. Cras faucibus, urna non cursus porttitor, nunc nibh ornare lacus, sit amet posuere nisi lectus in metus. Cras pulvinar sodales mauris porta semper. Proin magna odio, egestas in euismod sed.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (3, 1, 2, 1, 0, 'Red3', 'red2', 'red3.png', 'red3_t.png', 'Consequat vel orci. Donec lacinia ligula justo, sed venenatis neque. Curabitur tempor, nulla vel gravida elementum, justo nulla posuere libero, eget convallis augue massa ac purus. Praesent tempor nibh sit amet diam gravida vitae rhoncus est placerat. Sed porttitor vehicula mauris.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (4, 2, 0, 1, 1, 'Orange1', 'orange1', 'orange1.png', 'orange1_t.png', 'Eget feugiat augue aliquam ut. Nam odio mi, consectetur sit amet accumsan eget, pretium porta mauris. Maecenas mollis.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (5, 2, 1, 1, 0, 'Orange2', 'orange2', 'orange2.png', 'orange2_t.png', 'Elit vel vulputate suscipit, ligula dui euismod dolor, condimentum accumsan diam urna nec mauris. Donec condimentum consequat dui.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (6, 2, 2, 1, 0, 'Orange3', 'orange3', 'orange3.png', 'orange3_t.png', 'Vitae aliquet libero congue eu. Vestibulum tristique lobortis ipsum, a varius neque lobortis nec. Morbi ac ullamcorper est.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (7, 3, 0, 1, 1, 'Yellow1', 'yellow1', 'yellow1.png', 'yellow1_t.png', 'Nunc dictum tempor diam in porttitor.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (8, 3, 1, 1, 0, 'Yellow2', 'yellow2', 'yellow2.png', 'yellow2_t.png', 'Praesent ultricies nisl non elit eleifend eu tincidunt mauris sodales. Phasellus at ligula magna. Praesent et libero nec nulla consequat scelerisque.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (9, 3, 2, 1, 0, 'Yellow3', 'yellow3', 'yellow3.png', 'yellow3_t.png', 'Sed eget massa commodo mauris scelerisque ullamcorper. Quisque id gravida ante. Etiam vulputate metus odio. Curabitur egestas sapien in erat tempor accumsan.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (10, 4, 0, 1, 1, 'Green1', 'green1', 'green1.png', 'green1_t.png', 'Nunc justo augue, dapibus vitae ullamcorper non, malesuada vitae quam. Pellentesque adipiscing iaculis nibh sit amet pretium.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (11, 4, 1, 1, 0, 'Green2', 'green2', 'green2.png', 'green2_t.png', 'Vestibulum vel consectetur augue. Nunc non velit vitae lorem elementum rhoncus eu id dolor. Sed pretium sagittis purus sed ultricies.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (12, 4, 2, 1, 0, 'Green3', 'green3', 'green3.png', 'green3_t.png', 'Sed adipiscing, lectus placerat hendrerit pulvinar, massa ipsum posuere nunc, et aliquam magna erat eu turpis.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (13, 5, 0, 1, 1, 'Blue1', 'blue1', 'blue1.png', 'blue1_t.png', 'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (14, 5, 1, 1, 0, 'Blue2', 'blue2', 'blue2.png', 'blue2_t.png', 'Vivamus cursus malesuada sem, quis fringilla nulla lacinia et.');
INSERT INTO `#__ajaxdemo_colour` (id, colour_id, ordering, published, dflt, title, alias, main_image, thumbnail_image, notes)
VALUES (15, 5, 2, 1, 0, 'Blue3', 'blue3', 'blue3.png', 'blue3_t.png', 'Cras id turpis quis nisl hendrerit condimentum ut nec mi. Proin dictum sem nec lorem viverra id tempus orci tincidunt.');
